/*Header file for the box counting module.  */

/*Interface for node module.

All publically exposed variables and functions defines with 'extern'.
1. Set node variables used inside the module.
2. Define node function for within the module. */

//extern int N, grid; //Main variables for WriteBoxCounting(). Is grid a pointer here? And are variables for internal functions required here? 


//
// Includes.
//

// Standard includes.
#include <stdio.h>
#include <stdlib.h>

// Includes specific to this project.
#include "VariableParameters.h" //the file containing variable parameters for the system which users can change before recompiling the main code.
#include "Cluster_T_Struct.h"


//
// Variables.
//

// This array is used to speed-up the counting of particles in each of the r*r*r boxes.
int *cellCountArray;


//
// Function prototypes.
//
void countAllParticles( int numBoxes, int r, int ***Positions, Cluster_T *ClusterList, int nClusters, int onlyForCluster );
void WriteBoxCounting(int sysSize,  int nClusters, int ***Positions, Cluster_T *ClusterList, int onlyForCluster);//main function for box counting. Note that fn types (here void for no value returned) must be defined in header file.
void DataToFile(int r, double num); //fn within WriteBoxCounting fn
int numParticlesInBox( int nb, int ri, int rj, int rk );
// The old OccElemenrCount() function worked but was slow. It has now been replaced by a faster, if less intuitive, algorithm.
