/*
    Percolation module. Intended usage:
    ===================================

    InitialisePercolation( SYSTEMSIZE );    // Anywhere before IndexOfPercolatingCluster() is first called.

    int perc = IndexOfPercolatingCluster( NUMPARTICLES, ClusterList, Positions );
        // Arguments:
        // (1) Number of clusters
        // (2) Cluster list.
        // (3) Positions array.
        // - Returns the index of the cluster that percolated, or -1 if there was no percoating cluster.

    FinalisePercolation();                  // Anywhere after IndexOfPercolatingCluster() is last called.
*/


//
// Includes.
//
#include <stdio.h>              // Can be useful for debugging, i.e. printing quantities to screen.
#include <stdlib.h>             // Needed for malloc() and free().

// Need to use the cluster structure common to the whole ClusterVar simulation package.
#include "Cluster_T_Struct.h"


//
// List of indicators for each value of x, y and z. Not 'extern' as only this module uses them.
//
int *xPerc;
int *yPerc;
int *zPerc;
int percXYZ;            // Also store the box size within this module, for convenience.

//
// Prototypes for the functions in the implementation (".c") file.
//
void InitialisePercolation( int BoxSize );
int  IndexOfPercolatingCluster( int NumClusters, Cluster_T *Clusters, int **Positions );
//int PercPoint(int NumClusters, Cluster_T *Clusters, int **Positions);
void FinalisePercolation();

