/*Header file for the variable parameters of the cluster variance model.  */

/*Description: Here are the variable parameters for the cluster variance model which users may change. Once changes are made here, make sure to recompile the main code with these changes by typing into the command line "make clean; make".*/

#define NUMPARTICLES 4851 // VARIABLE. Number of particles in system.
#define SYSTEMSIZE 64 //VARIABLE. The grid size. E.g. "500" means a 3D cubic grid of size 500x500x500. 
#define FINALTIME 60000//Final simulation time 
#define FRACT_DIM 2.4 //Estimate for df in the positive mobility exponent, alpha, in equation for diffusion of clusters, where alpha = 1/df. Assume alpha is constant for system evolves with constant reaction probability.
#define P_MON_REACT 1 //Probability that two monomers react at one site

/* The size of the rod-like seeds used in the initial state. A value of 1 gives the normal monomer case. */
#define SEED_LENGTH 7

